<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>List of Branches</title>
    <style>
        table {
            border-collapse: collapse;
            width: 100%;
        }

        th, td {
            border: 1px solid black;
            padding: 8px;
            text-align: left;
        }

        th {
            background-color: #f2f2f2;
        }
    </style>

</head>
<body>
    <!-- <h1>List of Branches</h1> -->
    <table>
        <thead>
            <tr>
                <th>Branch ID</th>
                <th>Name</th>
                <th>Address</th>
                <th>City</th>
                <th>State</th>
                <th>Zip Code</th>
            </tr>
        </thead>
        <tbody id="branchList">
            <!-- Branches will be displayed here -->
        </tbody>
    </table>

    <script>
        // Function to fetch branches from the API
        async function fetchBranches() {
            try {
                const response = await fetch('https://localhost:7192/api/Branches/GetAllBranch');
                if (!response.ok) {
                    throw new Error('Network response was not ok');
                }

                const branches = await response.json();
                const branchList = document.getElementById('branchList');

                // Clear any previous table rows
                branchList.innerHTML = '';

                // Iterate through the branches and create table rows
                branches.forEach(branch => {
                    const row = document.createElement('tr');
                    row.innerHTML = `
                        <td>${branch.branchId}</td>
                        <td>${branch.name}</td>
                        <td>${branch.address}</td>
                        <td>${branch.city}</td>
                        <td>${branch.state}</td>
                        <td>${branch.zipCode}</td>
                    `;
                    branchList.appendChild(row);
                });
            } catch (error) {
                console.error('Error fetching branches:', error);
            }
        }

        // Call the fetchBranches function when the page loads
        window.onload = fetchBranches;
    </script>
</body>
</html>
